Subject: Re: bug#14734: 24.3.50; REGRESSION: defadvice broken wrt doc strings (C-h f)

From: Dmitry Gutov <[email-masked]>
Date: Sat, 29 Jun 2013 00:44:29 +0400

(Not Stefan.)

Drew Adams <[email-masked]> writes:

> The change introduced is horrible for users.  Now they see only
> the original doc string, plus a link that will be incomprehensible
> to many (so skipped over by them):

You're overdramatizing. It's less convenient, but far from "horrible".

> Not only can Emacs do better, it always HAS.  This is a real step
> backward for users.  Intentional or not.  I'm reopening the bug.
> I hope you will seriously consider reverting the misguided changes
> that introduced this regression.

It's obviously the result of advice.el being re-implemented using
nadvice.el, for backward compatibility. Having a minor regression in
functionality in this kind of situation is fairly normal.